# Method: locations.workforcePools.getAllowedLocations

- [HTTP request](https://docs.cloud.google.com/iam/docs/reference/credentials/rest/v1/locations.workforcePools/getAllowedLocations#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/iam/docs/reference/credentials/rest/v1/locations.workforcePools/getAllowedLocations#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/iam/docs/reference/credentials/rest/v1/locations.workforcePools/getAllowedLocations#body.request_body)
- [Response body](https://docs.cloud.google.com/iam/docs/reference/credentials/rest/v1/locations.workforcePools/getAllowedLocations#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/iam/docs/reference/credentials/rest/v1/locations.workforcePools/getAllowedLocations#body.WorkforcePoolAllowedLocations.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/iam/docs/reference/credentials/rest/v1/locations.workforcePools/getAllowedLocations#try-it)

Returns the trust boundary info for a given workforce pool.

### HTTP request

`GET https://iamcredentials.googleapis.com/v1/{name=locations/*/workforcePools/*}/allowedLocations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of workforce pool. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `iam.workforcePools.get` |

### Request body

The request body must be empty.

### Response body

Represents a list of allowed locations for given workforce pool.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "locations": [ string ], "encodedLocations": string } ``` |

| Fields ||
|---|---|
| `locations[]` | `string` Output only. The human readable trust boundary locations. For example, \["us-central1", "europe-west1"\] |
| `encodedLocations` | `string` Output only. The hex encoded bitmap of the trust boundary locations |